sane-hp5590(5)

BEZEICHNUNG

sane-hp5590 - SANE-Backend für Hewlett-Packard 4500C/4570C/5500C/5550C/5590/7650 Arbeitsgruppen/Dokumentenscanner

BESCHREIBUNG

Die Bibliothek sane-sane-hp5590 implementiert ein SANE-(Scanner Access Now Easy) Backend zum Zugriff auf die folgenden Hewlett-Packard Arbeitsgruppen-/Dokumentenscanner:

•   ScanJet 4500C

•   ScanJet 4570C

•   ScanJet 5500C

•   ScanJet 5550C

•   ScanJet 5590

•   ScanJet 7650

Falls Sie einen anderen als die oben aufgeführten Scanner besitzen, der mit diesem Backend funktioniert, senden Sie uns die genaue Modellbezeichnung des Scanners und die USB-Anbieter- und Gerätekennungen (zum Beispiel aus /sys/bus/usb/devices, mit sane-find-scanner(1) ermittelt oder aus dem Systemprotokoll). Selbst wenn sich der Name des Scanners nur geringfügig von den oben genannten Modellen unterscheidet, lassen Sie es uns bitte wissen.

OPTIONEN

Die vom Backend unterstützten Optionen können entweder in der Befehlszeile an Programme wie scanimage(1) übergeben oder über Bedienelemente der grafischen Benutzeroberoberfläche in xscanimage(1) oder xsane(1) gesteuert werden. Gültige Optionen für die Befehlszeilenoptionen und ihre Syntax können durch Ausführung von

    scanimage --help -d hp5590:Schnittstelle:Gerät

aufgelistet werden, wobei Schnittstelle und Gerät das gewünschte Gerät angeben, wie in der Konfigurationsdatei. Fügen Sie --all-options hinzu, um auch die Hardware-bezogenen Optionen aufzulisten. Der Parameter -d und dessen Argument können weggelassen werden, um Informationen zum ersten identifizierten Scanner zu erhalten.

Mit dem Befehl

    scanimage -L

können Sie alle von Ihrer SANE-Installation erkannten Geräte auflisten.

GERÄTESPEZIFISCHE OPTIONEN

-l n
    Obere linke X-Position des Scan-Bereichs in mm. Erlaubter Bereich: 0 … 215.889.

-t n
    Obere linke Y-Position des Scan-Bereichs in mm. Erlaubter Bereich: 0 … 297.699.

-x n
    X-Breite des Scan-Bereichs mm. Erlaubter Bereich: 0 … 215.889.

-y n
    Y-Höhe des Scan-Bereichs in mm. Erlaubter Bereich: 0 … 297.699.

Standardmäßig wird die Maximalgröße gescannt.

--mode Modus
    wählt den Farbmodus. Modus muss einer der folgenden sein: »Color«, »Color (48 bits)«, »Gray«, »Lineart«.

    •   »Color« - Scannen erfolgt mit 3*8 bit RGB-Farbwerten pro Pixel.

    •   »Color (48 bits)« - Scannen erfolgt mit 3*16 bit RGB-Farbwert pro Pixel.

    •   »Gray« - Scannen erfolgt mit 1 * 8 bit Grauwert pro Pixel.

    •   »Lineart« - Scannen erfolgt mit 1 bit Schwarz- und Weißwert pro Pixel.

--source Quelle
    wählt die Quelle zum Scannen. Quelle muss eine der folgenden sein: »Flatbed«, »ADF«, »ADF Duplex«, »TMA Slides«, »TMA Negatives«.

    •   »Flatbed« - Scannen von Dokumenten auf dem flachen Dokumentenglass.

    •   »ADF« - Scannen der Oberseiten von Dokumenten mit dem automatischen Dokumenteneinzug.

    •   »ADF Duplex« - Scannen der Vorder- und Rückseiten von Dokumenten mit dem automatischen Dokumenteneinzug. Beachten Sie, dass die Rückseitenabbildung in einem separaten Nachbearbeitungsschritt gedreht werden muss.

    •   »TMA Slides« - Dia-Scannen mit einem Adapter für transparente Medien. (Vom hp5590-Backend nicht vollständig unterstützt).

    •   »TMA Negatives« - Scannen von Filmnegativen mit einem Adapter für transparente Medien. (Vom hp5590-Backend nicht vollständig unterstützt).

--resolution Auflösung
    setzt die Auflösung des gescannen Bildes in DPI. Auflösung muss einer der folgenden Werte sein: 100, 200, 300, 600, 1200, 2400.

Standardeinstellung: Lineart, Flatbed, 100dpi.

--extend-lamp-timeout[=yes|no]
    erhöht die Zeitüberschreitungsperiode für die Lampe. no = 15 Minuten, yes = 1 Stunde. (Vorgabe: no)

--wait-for-button[=yes|no]
    wartet vor dem Starten des Scannens auf den Knopfdruck. (Vorgabe: no)

--preview[=yes|no]
    fordert einen Vorschau-Scan an. (Vorgabe: no)

--hide-eop-pixel[=yes|no]
    versteckt die Pixel zur Anzeige des Seitenendes und überschreibt diese mit den Farben der benachbarten Pixel. (Vorgabe: yes)
    Der Scanner verwendet das letzte Pixel in jeder Scanzeile zum Speichern des Zeilenendestatus. Dies wird benötigt, um das letzte Blatt eines Dokuments zu erkennen, wenn der automatische Dokumenteneinzug (ADF) verwendet wird. Unglücklicherweise werden die Seitenende-Pixel auch bei Flachbett-Scans erzeugt. Es wird empfohlen, diese zu verstecken.

--trailing-lines-mode Modus
    Auffüllmodus für nachlaufende Zeilen nach dem Seitenende, wenn der automatische Dokumenteneinzug (ADF) verwendet wird. Modus muss einen der folgenden Werte annehmen: »last«, »raw«, »raster«, »white«, »black«, »color«. (Vorgabe: »last«)

    •   »last« = die letzte Scan-Zeile wiederholen (empfohlen),

    •   »raw« = rohe Scan-Daten lesen (nicht empfohlen),

    •   »raster« = schwarze und weiße Pixel-Muster erzeugen,

    •   »white« = weiße Pixel,

    •   »black« = schwarze Pixel,

    •   »color« = RGB oder grau gefärbte Pixel (siehe nächste Option).

--trailing-lines-color n
    setzt den Farbwert zum Auffüllen nachlaufender Scan-Zeilen im Modus nachlaufender Zeilen »color« (siehe vorherige Option). (Vorgabefarbe: violet)
    Der RGB-Farbwert muss mittels 65536 * r + 256 * g + b, wobei r, g, b Werte im Bereich 0 … 255 sind, festgelegt und berechnet werden.

AUSLESEOPTIONEN

Die folgenden Optionen erlauben das Auslesen des Knopfzustandes, des Zählerwertes, der Farbeinstellung und des Zustandes von Dokumenten im ADF. Dies kann zur programmatischen Steuerung der entsprechenden Scanneroptionen verwendet werden, wie dem Umschalten zwischen den Modi flatbed und ADF oder dem Auslösen von Nachverarbeitungsaufgaben nach dem Scannen.

--button-pressed
    Ermittelt die Kennung des zuletzt gedrückten Knopfes, Kennung ist einer der folgenden Werte: »none«, »power«, »scan«, »collect«, »file«, »email«, »copy«, »up«, »down«, »mode«, »cancel«.
    Der Scanner speichert die Kennung des zuletzt gedrückten Knopfes, bis dieser ausgelesen wird. Nach dem Auslesen wird der Zustand zurückgesetzt und nachfolgende Lesevorgänge liefern den Wert »none« zurück.

--color-led
    Ermittelt den Zustand der Farb-LED-Statusanzeige. Der Zustand ist entweder »color« oder »black_white«.

--counter-value
    Setzt den Zählerwert wie im LCD gesetzt. Der Wert ist im Bereich 1 … 99.

--doc-in-adf
    ermittelt den Zustand der Anzeige des automatischen Dokumenteneinzugs (ADF), ob ein Dokument verfügbar ist. Der Status ist entweder »yes« oder »no«.

HINWEISE FÜR NUTZER VON SCANBD

scanbd(8) ist ein Scannerknopf-Daemon, der Scannerknöpfe auslesen und Scan-Aktionen auslösen kann.

Verwenden Sie mit dem hp5590 nicht die alte Schnittstelle scanbuttond(8). Sie ist veraltet und darf nicht mehr verwendet werden. Die normale Schnittstelle von scanbd(8) wird von der aktuellen Version des Backends hp5590 voll unterstützt.

Dieses Beispiel zeigt eine minimale Konfigurationsdatei und die entsprechende Skriptdatei für scanbd(8), wie sie in scanbd.conf aufgenommen werden kann.

•   hp5590.conf

    device hp5590 {
        # Geräteabgleich
        filter = "^hp5590.*"
        desc = "HP5590-Scanner-Familie"
        # Zählerwert auslesen und in einer Umgebungsvariable speichern.
        function function_lcd_counter {
            filter = "^counter-value.*"
            desc   = "hp5590: LCD-Zähler"
            env    = "SCANBD_FUNCTION_LCD_COUNTER"
        }
        # Skript ausführen, wenn der Knopf gedrückt wird.
        action do-scan {
            filter = "^button-pressed.*"
            desc   = "hp5590: Scan-Knopf gedrückt"
            script = "scan_action.script"
            string-trigger {
                from-value  = "none"
                to-value    = "scan"
            }
        }
    }

•   scan_action.script

    #!/bin/bash
    echo device = $SCANBD_DEVICE
    echo action = $SCANBD_ACTION
    echo counter = $SCANBD_FUNCTION_LCD_COUNTER
    scanfile="$HOME/tmp/scans/scan-$(date +%s).pnm"
    case $SCANBD_ACTION in
    do-scan)
        scanimage -d "$SCANBD_DEVICE" > "$scanfile"
        ;;
    *)
        echo Warnung: Unbekannte Scanbd-Aktion: "$SCANBD_ACTION"
        ;;
    esac

DATEIEN

@LIBDIR@/libsane-hp5590.a
    Die statische Bibliothek, die dieses Backend implementiert.

@LIBDIR@/libsane-hp5590.so
    Die dynamische Bibliothek, die dieses Backend implementiert (auf Systemen verfügbar, die dynamisches Laden unterstützen).

UMGEBUNGSVARIABLEN

Falls die Bibliothek mit Debug-Unterstützung kompiliert wurde, steuert diese Umgebungsvariable die Debug-Stufe für dieses Backend.

SANE_DEBUG_HP5590

Größere Werte erhöhen die Ausführlichkeit der Ausgabe:

    10 - allgemeine Verarbeitung
    20 - ausführliche Meldungen vom Backend
    40 - HP5590 abstrakte Befehle
    50 - HP5590 systemnahe (USB-in-USB) Befehle

Beispiel:
    export SANE_DEBUG_HP5590=50

SIEHE AUCH

sane(7), sane-usb(5) scanbd(8), scanimage(1), xscanimage(1), xsane(1)

AUTOREN
Ilia Sotnikov <hostcc@gmail.com>.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).